/*! ******************************************************
*
*	Theme Name:     Astra Child
*   Author:         web3d
*   Author URI:     http://www.onthegosystems.com/
*   Description:    Simple, clear and modern Bootstrap 3-based theme. Perfect base for developing all kinds of responsive sites with Toolsets, including the Layouts plugin (no extra integration needed, you activate Layouts and the drag and drop facilities work out of the box). Uses WordPress theme customizer and supports Font Awesome Icons. Supports WooCommerce integration by styles unification.
*   Version:        1.1
*   License:        GNU General Public License v2 or later
*   License URI:    http://www.gnu.org/licenses/gpl-2.0.html
*   Template:       astra
*
*!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!*/



/*-------General Settings-----------*/
body a{
  text-decoration: none;
}

#content > .jo{
  max-width: 100%;
  overflow: hidden;
}
.content_centered{
  text-align: center;
}
.btn_jo {
  border: 2px solid var(--color--main);
  border-radius: 50px;
  font-size: 16px;
  display: table;
  text-align: center;
  line-height: 1;
  font-weight: 500;
  padding: 6px 26px;
  margin-top: 10px;
}
.mr_auto {
  margin-inline-start: auto;
}
.btn_jo.btn_full_bg {
  border: 2px solid var(--color--main);
  background: var(--color--main);
  color: #fff;
}
.shadow{box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);}
.radius30{border-radius: 30px;}
/*--Typography--*/
body h2 {
  font-weight: 700;
  margin-bottom: 10px;
}
body h3 {
  font-weight: 700;
  margin-bottom: 10px;
}
body p {
  
}

/*--Layout--*/
.jo_container{
  max-width: 1600px;
  width: 100%;
  margin: 0 auto;
  padding: 0 15px;
}

@media (min-width: 770px){
	.jo_row{
	  display: flex;
	  flex-wrap: wrap;
	}
	.jo_col_12{
	  flex: 0 0 100%;
	  max-width: 100%;
	}
	.jo_col_11{
	  flex: 0 0 91.666667%;
	  max-width: 91.666667%;
	}
	.jo_col_10{
	  flex: 0 0 83.333333%;
	  max-width: 83.333333%;
	}
	.jo_col_9{
	  flex: 0 0 75%;
	  max-width: 75%;
	}
	.jo_col_8{
	  flex: 0 0 66.666667%;
	  max-width: 66.666667%;
	}
	.jo_col_7{
	  flex: 0 0 58.333333%;
	  max-width: 58.333333%;
	}
	.jo_col_6{
	  flex: 0 0 50%;
	  max-width: 50%;
	}
	.jo_col_5{
	  flex: 0 0 41.666667%;
	  max-width: 41.666667%;
	}
	.jo_col_4{
	  flex: 0 0 40%;
	  max-width: 40%;
	}
	.jo_col_3{
	  flex: 0 0 25%;
	  max-width: 25%;
	}
	.jo_col_2 {
	  flex: 0 0 16.666667%;
	  max-width: 16.666667%;
	}
	.jo_col_1 {
	  flex: 0 0 8.333333%;
	  max-width: 8.333333%;
	}


	/*--Grid--*/
	.ps-grid{display: grid;}
	.ps-grid-2{grid-template-columns: repeat(2, 1fr);}
	.ps-grid-3{grid-template-columns: repeat(3, 1fr);}
	.ps-grid-4{grid-template-columns: repeat(4, 1fr);}
	.ps-grid-5{grid-template-columns: repeat(5, 1fr);}
	.ps-grid-gap15{gap:15px;}
	.ps-grid-gap20{gap:20px;}
	.ps-grid-gap30{gap:30px;}
	.ps-grid-gap40{gap:40px;}
	.ps-grid-gap60{gap:60px;}
	.ps-grid-gap70{gap:70px;}
}
/*--Header--*/
.entry_header {
  margin-top: 120px;
  background: url(/wp-content/uploads/2024/11/bg.jpg) no-repeat scroll center / cover;
  padding: 15px 0;
}
.entry_header h1{
  color: #fff;
  margin-bottom: 10px;
  text-shadow: 0px 4px 14.9px #000;
}
.entry_header .jo_col_6{
  display: flex;
  align-items: center;
}
.jo_breadcrumbs {
  margin-inline-start: auto;
}
.jo_breadcrumbs * {
  font-size: 20px;
  color: #fff !important;
  text-decoration: none;
}
#ast-desktop-header .ast-above-header-wrap {
  direction: ltr;
  background: var(--color--accent);
}
#ast-desktop-header .ast-above-header-wrap .ast-builder-html-element a img{
  filter: brightness(0) invert(1);
}
#ast-desktop-header .ast-above-header-wrap .ast-builder-html-element a{
  margin-right: 20px;
  color:#fff;
  font-size: 16px;
}
#masthead {
  top: 0;
  z-index: 999;
  position: absolute;
  right: 0;
  left: 0;
  padding: 11px 0 10px;
  display: flex;
  align-items: center;
  background: rgba(255, 255, 255, 0.95);
  transition: all 0.5s ease-in-out;
  animation-name: fadeInDown;
  animation-duration: 500ms;
  animation-timing-function: linear;
  animation-iteration-count: 1;
}
#masthead.sticky {
  padding: 5px 0;
  position: fixed;
  animation-name: fadeInDown;
  animation-duration: 500ms;
  animation-timing-function: linear;
  animation-iteration-count: 1;
  box-shadow: 0 10px 10px 0 rgba(0, 0, 0, 0.1);
  top: 0;
}
#masthead .menu .menu-item > .menu-link{
	transition: all 0.5s ease-in-out;
}
#masthead.sticky .menu .menu-item > .menu-link{
  font-size: 15px;
}
#masthead.sticky #ast-desktop-header .ast-above-header-wrap{
  display:none;
}
#masthead.sticky .custom-logo{
  max-width: 100px;
}
#masthead .ast-site-identity{
  padding:0;
}
#masthead .custom_logo .custom-logo-link {
  width: 210px;
  margin-inline-start: auto;
}
#pojo-a11y-toolbar {
  transition: all 0.5s ease-in-out;
}
#pojo-a11y-toolbar.sticky {
  top: 57px !important;
}

@media (min-width: 770px){
	#masthead .menu-main-menu-container{
	  height: 100%;
	}
	#masthead .menu{
	  margin: 0;
	  padding: 0;
	  list-style: none;
	  display: flex;
	  flex-direction: row;
	  align-items: center;
	  height: 100%;
	}
	#masthead .menu > .menu-item {
	  position: relative;
	  display: flex;
	  height: 100%;
	  align-items: center;
	}
	#masthead .menu .menu-item > .menu-link {
	  color: #16488E;
	  font-size: 20px;
	  font-weight: 700;
	  line-height: 1;
	  display: block;
	}
	#masthead .menu > .menu-item:not(:last-child) > .menu-link{
	  border-inline-end: 2px solid;
      padding-inline-end: 20px;
      margin-inline-end: 20px;
	}
	#masthead .menu > .menu-item > .sub-menu {
	  position: absolute;
	  left: -20px;
	  margin: 0;
	  list-style: none;
	  padding: 12px;
	  min-width: 200px;
	  top: 100%;
	  border-radius: 10px;
	  background: #F5F5F4;
	  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
	  opacity: 0;
	  visibility: hidden;
	  /*transition: opacity ease-in-out .3s;*/
	}
	#masthead .menu > .menu-item:hover > .sub-menu{
		opacity: 1;
	  visibility: visible;
	  transition: opacity ease-in-out .3s;
	}
	.rtl #masthead .menu > .menu-item > .sub-menu{right: -20px;left:auto;}
	#masthead .menu .menu-item > .sub-menu > li{padding: 1px 0;}
	#masthead .menu .menu-item > .sub-menu > li a{
	  font-weight: 600;
	  margin: 10px 0;
	}
}
#masthead .custom_logo{
  display: flex;
  align-content: center;
  align-items: center;
  flex-direction: row;
}

/*--slick--
body #content .slick-arrow::before {
  content: "";
  border-style: solid;
  border-color: #242424;
  border-radius: 0;
  width: 12px;
  height: 12px;
  opacity: 1;
  display: block;
  transform: rotate(-45deg);
}
body #content .slick-prev::before {
  border-width: 0 2px 2px 0;margin: 0;
}  
body #content .slick-next::before{
  border-width: 2px 0 0 2px;
  margin: 0 12px 0 0;
}
body #content .slick-arrow::after {
  content: "";
  height: 2px;
  width: 24px;
  background: #242424;
  position: absolute;
  top: 7px;
  left: 0;
}
body #content .slick-prev::after{border-radius: 5px 0 0 5px;}
body #content .slick-next::after{border-radius: 0 5px 5px 0;}

body #content .slick-arrow {
  width: 24px;
  height: 16px;
}
body #content .slick-prev{right: -50px;left:auto;}
body #content .slick-next{left: -50px;right:auto;}

.slick-dots{
  bottom: -90px;
}
.slick-dots li {
  width: 12px;
  height: 12px;
  border: 2px solid #7A7A7A;
  border-radius: 50%;
  transition: all 0.3s ease;
  margin: 0 4px;
}
.slick-dots li.slick-active {
  width: 16px;
  height: 16px;
  border: 0;
  background: #000;
}
.slick-dots li button {
  width: 100%;
  height: 100%;
  padding: 0;
}
.slick-dots li button::before{
  content: none;
}*/

/*--Contact--

.wpcf7 form .wpcf7-response-output{  margin: 30px auto 0 !important;}
.wpcf7 input.wpcf7-form-control:not([type="submit"]):focus, .wpcf7 select.wpcf7-form-control:focus, .wpcf7 textarea.wpcf7-form-control:focus {
border-style: solid;
}*/

/*--Projects--*/
#projects {
  padding: 45px 0;
}
.single-project #projects h2{
  margin-bottom: 60px;
}
.single-project #projects{
  padding-top: 60px;
  position: relative;
}
#projects .jo_container{
  position: relative;
}
.projects_row {
  z-index: 1;
  position: relative;
}
body:not(.home) .project {
  border-radius: 30px;
  background: #ECF9F6;
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
  overflow: hidden;
}
body:not(.home) .project > img {
  height: 390px;
  width: 100%;
  object-fit: cover;
}
@media (min-width: 768px) {
	.project_el .project_el_inner {
	  height: calc(100% - 390px);
	}
	
	#projects_el .swiper{
	  overflow: inherit;
	}
	.ar_act_el{
	  flex-wrap: wrap;
	  flex-direction: inherit !important;
	}
	
	:lang(en-US) .elementor-397 .elementor-element.elementor-element-ad1921e{
		padding: 0 40px 0 20px;
		border-width: 0 3px 0 0;
	}
	:lang(en-US) .elementor-397 .elementor-element.elementor-element-f524b15 .elementor-button-wrapper{text-align: right;}
	
}
.project_el .project_el_inner .elementor-widget-button{
	margin-top: auto;
}
@media (max-width: 767px) {
	.project_el .project_el_inner {
	  height: calc(100% - 240px);
	}
}
body:not(.single-project) .project_footer {
  padding: 20px 30px;
}
body.single-project .project_footer {
  padding: 20px 60px 30px;
}
.project_footer {
  height: calc(100% - 390px);
  display: flex;
  flex-direction: column;
}
.project_footer h3{}
.project_footer p {
  font-size: 18px;
  line-height: 1.4;
}
body.single-project .project_footer p{
  margin-bottom: 20px;
}
.project_footer a.btn_jo.btn_full_bg {
  margin-inline: auto;
  margin-top: auto;
  border: 2px solid var(--color--accent);
  background: var(--color--accent);
}
.img_bg_glass22 {
  position: absolute;
  right: -95px;
  top: -93px;
}
.img_bg_glass3 {
  position: absolute;
  left: 0;
  top: 0;
}
/*--Footer--*/
#footer_jo{
  padding-bottom: 70px;
  background-size: cover;
  background-position: center;
}
#footer_jo h2{
  color: #fff;
  text-align: center;
  margin: 40px auto;
}

#footer_jo .wpcf7 form > p {
  display: flex;
  gap: 20px;
  margin: 0;
}
#footer_jo .wpcf7 form label {
  position: absolute;
  z-index: -1;
}
.rtl #footer_jo .wpcf7 form, .rtl #footer_jo .wpcf7 form span input {
  direction: rtl;
}
#footer_jo .wpcf7 form span input {
  border: 0;
  border-radius: 40px;
  color: #000;
  font-size: 20px;
  height: 55px;
}
#footer_jo .wpcf7 form input[type="submit"]{
  padding: 0;
  min-width: 136px;
  font-size: 25px;
  border-radius: 40px;
  background: var(--color--main);
}
#footer_jo .wpcf7 form span.wpcf7-spinner{
  position: absolute;
  top: -44px;
}
::-webkit-input-placeholder { /* Chrome/Opera/Safari */
  color: #000;
  opacity:1;
}
::-moz-placeholder { /* Firefox 19+ */
  color: #000;
  opacity:1;
}
:-ms-input-placeholder { /* IE 10+ */
  color: #000;
  opacity:1;
}
:-moz-placeholder { /* Firefox 18- */
  color: #000;
  opacity:1;
}
.contact_info_footer {
  display: flex;
  gap: 25px;
  padding: 45px 0 0;
}
.contact_info_footer div, .contact_info_footer a{
  display: flex;
  align-items: center;
  color: #fff;
}
.contact_info_footer svg {
  width: 22px;
  height: auto;
  margin-inline-end: 10px;
}
.contact_info_footer svg path{
  fill:#fff;
}
.footer_social_items{
  display: flex;
  gap: 15px;
  padding: 50px 0 0;
  align-items: center;
  justify-content: flex-end;
}
.footer_social_items svg {
  height: 22px;
}
.footer_social_items svg circle,
.footer_social_items svg path{
  fill: var(--color--main);
}
#colophon{
  background: #000;
}
.ast-footer-copyright p {
  margin-bottom: 0;
  text-align: start;
}
#ast-scroll-top {
  background-color: var(--color--main) !important;
}

.footi{
  text-align: end;
}
.rtl .footi{
  direction: ltr;
  text-align: start;
}
.footi a.web3d {
  color: #fff;
  font-size: 14px;
}
.footi a.web3d img {
  margin: 0 0 4px 4px;
}
.ast-footer-copyright *{
  color: #fff;
  font-size: 14px;
}
.wpcf7 form .wpcf7-response-output{
    background: #fff;
    text-align: center;
}
.wpcf7 .wpcf7-not-valid-tip {
    color: #eb4b4b;
}
.e-n-accordion details{
  border:1px solid #BEBEBE;
  background:#fff;
  padding-inline:25px 60px;
  margin-bottom: 18px;
  overflow: hidden;
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
  border-radius:30px;
  padding:0;
}
.e-n-accordion details > summary{
  padding: 15px 20px !important;
  justify-content: space-between !important;
}
.e-n-accordion details > summary .e-n-accordion-item-title-icon{
  
}
.e-n-accordion details > div{
  padding: 0 20px 15px 60px;
}

@media only screen and (min-width: 770px) and (max-width: 1600px){
	.project > img{height: 300px;}
	#footer_jo .elementor-widget .elementor-icon-list-icon + .elementor-icon-list-text{font-size: 20px;}
}

@media (max-width: 769px){
	
	/*--Grid--*/
	.mb-grid{display: grid;}
	.mb-grid-2{grid-template-columns: repeat(2, 1fr);}
	.mb-grid-3{grid-template-columns: repeat(3, 1fr);}
	.mb-grid-4{grid-template-columns: repeat(4, 1fr);}
	.mb-grid-5{grid-template-columns: repeat(5, 1fr);}
	.mb-grid-gap15{gap:15px;}
	.mb-grid-gap20{gap:20px;}
	.mb-grid-gap30{gap:30px;}
	.mb-grid-gap40{gap:40px;}
	.mb-grid-gap60{gap:60px;}
	.mb-grid-gap70{gap:70px;}
    #masthead{}
	#masthead .btn_jo_wrapp{flex-direction: column;align-items: flex-end;}
	#masthead .btn_jo_wrapp .btn_jo{font-size: 14px;width: 90px;margin: 4px 0;line-height: 27px;}
	#masthead .jo_row {display: flex;flex-wrap: wrap;}
	#masthead .jo_row .custom_logo{width: 100%;}
	#masthead .custom-logo-link{margin: 0 auto 0 0;width: auto;}
	#masthead .custom_logo .custom-logo{height: 45px;width: auto;}
	#masthead .btn_menu .menu-link {margin: 0 auto 25px;width: 90%;line-height: 1.4;display: block;font-size: 16px;}
	#page .site-content {}
	.menu-main-menu-container, .menu-main-menu-en-container {margin-right: 0;position: fixed;right: 0;top: 69px;bottom: 0;background: var(--color--accent);left: 0;max-height: 0;overflow: hidden;transition: all .4s ease;width: 100%;margin: auto;}
	#masthead ul{list-style: none;margin: 0;}
	#masthead .menu{align-items: inherit;flex-direction: inherit;padding: 10px 0 0;flex-wrap: wrap;}
	#masthead .menu .menu-item{width: 100%;position: relative;}
	#masthead .menu .menu-item.btn_menu{width: 50%;margin: 20px 0 0 !important;order: 1;}
	#masthead .menu .menu-link{margin: 0;width: 100%;display: block;padding: 10px 20px;border-bottom: 1px solid #fff;color: #fff;}
	.menu-main-menu-container.active, .menu-main-menu-en-container.active{max-height: 100vh;}
	.hamburger {display: flex;align-items: center;height: 40px;margin: 0 0 auto auto;cursor: pointer}
	.hamburger span {width: 30px;height: 2px;display: block;background: var(--color--accent);border-radius: 5px;transition: none}
	.hamburger span::before, .hamburger span::after{content: "";width: 30px;height: 2px;display: block;background: var(--color--accent);border-radius: 5px;transition: all .4s ease;}
	.hamburger span::before {margin: -9px 0 0;}
	.hamburger span::after {margin: 16px 0 0;}
	#menu_jo{z-index: 1;}
	#menu_jo .hamburger span {transition: ease-in-out 0.3s;}
	#menu_jo.active .hamburger span {height: 0;}
	#menu_jo.active .hamburger span::before {transform: rotate(45deg);margin: -1px auto;}
	#menu_jo.active .hamburger span::after {transform: rotate(-45deg);margin: -3px auto;}
	#masthead .menu .wpml-ls-item > .sub-menu{margin: 0 !important;display: block;top: 10px;padding: 0;}
	#masthead .menu .wpml-ls-item > .sub-menu > li > a {margin: 0;padding: 0 20px;border: 0;}
	#masthead .menu > .wpml-ls-item > .menu-link {margin: 0 !important;}
	
	#masthead .menu .menu-item > .sub-menu{display: none;}
	#masthead .menu .menu-item > .sub-menu .menu-link{padding-inline-start: 40px;}
	#pojo-a11y-toolbar.sticky {top: 55px !important;}
	.entry_header {margin-top: 70px;}
	.jo_breadcrumbs * {font-size: 14px;}
	.jo_breadcrumbs, .entry_header h1{margin: auto;}
	
	.wrapp_mb_slider_centermode{padding: 0;}
	.img_bg_glass22 {position: relative;right: auto;top: auto;margin: -80px 0 -40px;width: 100px;}
	.radius30 {border-radius: 20px;}
	.mb_slider_centermode_elementor .slick-slide:not(.slick-center),
	.mb_slider_centermode .slick-slide:not(.slick-center){transform: scale(0.9);opacity: 0.7;}
	#projects {padding: 45px 0 15px;}
	.project > img {height: 240px;}
	
	.mb_slider_centermode_elementor{padding-inline:0 !important;}
	.mb_slider_centermode_elementor .slick-track{padding-bottom: 15px;}
	.mb_slider_centermode_elementor>div>div{display: block;}
	.mb_slider_centermode_elementor .slick-slide{}
	.mb_slider_centermode_elementor .slick-slide img{height: 220px !important;object-fit: cover;}
	.mb_slider_centermode_elementor .slick-slide>div,
	.mb_slider_centermode_elementor .slick-slide>div>div{height: 100%;}
	.mb_slider_centermode_elementor .slick-slide h3{font-size: 24px !important;padding:0 25px;line-height: 1.2;}
	.mb_slider_centermode_elementor .slick-slide .elementor-element > .elementor-widget-container{font-size: 16px;}
	
	.e-n-accordion details > summary .e-n-accordion-item-title-text{font-size: 18px;}
	
	.slick-track {display: flex;}
	.slick-track .slick-slide {display: flex;height: auto;}
	body.single-project .project_footer {padding: 20px 30px 30px;}
	.single-project #projects h2 {margin-bottom: 30px;}
	.img_bg_glass3{width: 150px;}
	
	.footer_social_items {padding: 20px 0 0;justify-content: flex-start;}
	.contact_info_footer,
	#footer_jo .wpcf7 form > p{gap: 14px;flex-direction: column;}
	#footer_jo .wpcf7 form span input{font-size: 16px;height: 44px;}
	#footer_jo .wpcf7 form input[type="submit"]{height: 44px;}
	#footer_jo h2 {margin: 0;padding: 30px 0;}
	#colophon .ast-builder-grid-row *{text-align:center;}
	#colophon .ast-builder-grid-row{display: block;}
}